%define upstream_name 	 CGI-XML
%define upstream_version 0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	CGI-XML perl module
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/CGI/
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(XML::Parser)

Buildarch:  noarch


Obsoletes:	perl-XML-CGI
Provides:	perl-XML-CGI

%description
CGI-XML converts CGI.pm variables to XML and vice versa.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__install} -d $RPM_BUILD_ROOT%{perl_archlib}
%makeinstall_std
%{__install} -d $RPM_BUILD_ROOT/%{_datadir}

%files 
%doc README MANIFEST Changes  examples
%{perl_vendorlib}/CGI/*
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-7.mga6
+ Revision: 1023828
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.100.0-6.mga6
+ Revision: 931556
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 749373
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 683663
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 509573
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 363589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 26194
- no meta.yml
- mageia rebuild
- imported package perl-CGI-XML


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.1
+ Revision: 504608
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.1-9mdv2010.0
+ Revision: 430317
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.1-8mdv2009.0
+ Revision: 241169
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 0.1-6mdv2008.0
+ Revision: 67609
- use %%mkrel


* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.1-6mdk
- rebuild

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.1-5mdk
- Fix summary and description
- macroize
- %%makeinstall_std

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-4mdk
- rebuild for new auto{prov,req}

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1-3mdk
- rebuild

* Mon Jul 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1-2mdk
- rebuild with new perl

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1-1mdk
- updated by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- 0.1
	- changed name

* Tue Feb 20 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.02-2mdk
- little changes in licence

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.02-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com>:
	- First Mandrake release

